%define	major     0
%define apiver    1.2
%define	libname   %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d

%define gitdate   20240525
%define commit    ed76d39cda0735d26c14a3e4f4da996e420f6478

Summary:        Simple DirectMedia Layer - mixer
Name:           SDL_mixer
Version:        1.2.13
Release:        %mkrel -c git%{gitdate} 2
License:        zlib
Group:          System/Libraries
URL:            https://www.libsdl.org/projects/SDL_mixer/release-1.2.html
#Source0:        https://www.libsdl.org/projects/SDL_mixer/release/%%{name}-%%{version}.tar.gz
Source0:        https://github.com/libsdl-org/SDL_mixer/archive/%{commit}/%{name}-%{version}-git%{gitdate}.tar.gz

BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(libmikmod)
BuildRequires:  pkgconfig(sdl) >= 1.2.10
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  smpeg-devel

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}%{apiver}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{name}-player
Summary:        Sound players using %{name}
Group:          System/Libraries

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
# Needed to learn about aarch64
autoreconf -fiv

# (akien) music-*-shared enables dlopen'ing of shared libraries to avoid
# hard dependencies. But for a distro package, we want hard dependencies
# so that packages using SDL_mixer get the proper deps out of the box.
# If some of those are too much, we could dlopen more exotic ones (flac,
# fluidsynth, smpeg).
%configure \
    --disable-static \
    --disable-music-flac-shared \
    --disable-music-fluidsynth-shared \
    --disable-music-mod-shared \
    --disable-music-mp3-shared \
    --disable-music-ogg-shared
%make_build

iconv -f ISO-8859-1 -t UTF-8 CHANGES > CHANGES.tmp
touch -r CHANGES CHANGES.tmp
mv CHANGES.tmp CHANGES

%install
%make_install install-bin

find %{buildroot} -name '*.la' -delete

%files -n %{name}-player
%doc README
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{libname}
%doc timidity/FAQ timidity/README
%{_libdir}/lib%{name}-%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README CHANGES
%{_libdir}/lib%{name}.so
%{_includedir}/SDL/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.2.13-0.git20240525.2.mga10
+ Revision: 2228016
- Mageia 10 Mass Rebuild

* Tue Sep 24 2024 daviddavid <daviddavid> 1.2.13-0.git20240525.1.mga10
+ Revision: 2100787
- new version: 1.2.13 (git snapshot from 20240525)
- add fedora patch to fix build with GCC 14
- fix double free on wav file load failure (rhbz#2031642)

* Sun Nov 20 2022 wally <wally> 1.2.12-19.mga9
+ Revision: 1909284
- rebuild for flac 1.4.2

* Fri Apr 01 2022 umeabot <umeabot> 1.2.12-18.mga9
+ Revision: 1839533
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.2.12-17.mga9
+ Revision: 1739427
- rebuild for fluidsynth

* Tue Nov 03 2020 wally <wally> 1.2.12-16.mga8
+ Revision: 1642433
- fix build with autoconf 2.69d

* Fri Feb 14 2020 umeabot <umeabot> 1.2.12-15.mga8
+ Revision: 1522028
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 15 2019 daviddavid <daviddavid> 1.2.12-14.mga7
+ Revision: 1357000
- rebuild for new fluidsynth 2.0.3

* Sun Sep 23 2018 umeabot <umeabot> 1.2.12-13.mga7
+ Revision: 1300982
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 pterjan <pterjan> 1.2.12-12.mga7
+ Revision: 1237288
- Fix build on aarch64

* Fri Dec 29 2017 akien <akien> 1.2.12-11.mga7
+ Revision: 1187239
- Enable MP3 support via SMPEG
- Enable alternative MIDI support via Fluidsynth
- Document the reason for using --disable-music-*-shared

* Mon Feb 08 2016 umeabot <umeabot> 1.2.12-10.mga6
+ Revision: 943900
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.12-9.mga5
+ Revision: 739886
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-8.mga5
+ Revision: 687144
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-7.mga5
+ Revision: 677655
- Mageia 5 Mass Rebuild
+ akien <akien>
- As of version 1.2.12, the license is zlib: http://www.libsdl.org/projects/SDL_mixer/

* Fri Oct 18 2013 umeabot <umeabot> 1.2.12-5.mga4
+ Revision: 521875
- Mageia 4 Mass Rebuild

* Sun Jan 27 2013 colin <colin> 1.2.12-4.mga3
+ Revision: 392738
- Apply Fedora patches for latest mikmod

* Fri Jan 11 2013 umeabot <umeabot> 1.2.12-3.mga3
+ Revision: 345108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 shlomif <shlomif> 1.2.12-2.mga3
+ Revision: 314451
- Rebuild, in order to get playmus working again.

* Mon Jan 16 2012 fwang <fwang> 1.2.12-1.mga2
+ Revision: 196854
- new version 1.2.12

* Mon Sep 12 2011 fwang <fwang> 1.2.11-9.mga2
+ Revision: 142655
- clean up spec

* Mon Jul 18 2011 fwang <fwang> 1.2.11-8.mga2
+ Revision: 125788
- rebuild for new dfb

* Mon May 09 2011 ahmad <ahmad> 1.2.11-7.mga1
+ Revision: 96689
- Drop BR nas-devel (is nas sound still used?)
- Modify configure options; s/enable-music-libmikmod/enable-music-mod/, the former
  isn't recognised by the configure script

* Mon May 09 2011 misc <misc> 1.2.11-6.mga1
+ Revision: 96685
- remove uneeded requires on esound-devel, it compile fine without it

* Fri Apr 22 2011 boklm <boklm> 1.2.11-5.mga1
+ Revision: 89784
- increase release to make it higher than mdv2010.1

* Sat Jan 15 2011 supp <supp> 1.2.11-1.mga1
+ Revision: 19430
- remove unneeded smpeg BuildRequire
- add patch (from upstream) fixing some uninitialized values...
- imported package SDL_mixer


* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 1.2.11-4mdv2011.0
+ Revision: 622468
- rebuild for new directfb

  + Tomas Kindl <supp@mandriva.org>
    - add provides for lib(64)SDL_mixer

* Wed Feb 17 2010 Frederic Crozat <fcrozat@mandriva.com> 1.2.11-3mdv2010.1
+ Revision: 507126
- force rebuild

* Mon Feb 15 2010 Anssi Hannula <anssi@mandriva.org> 1.2.11-2mdv2010.1
+ Revision: 506234
- do not use dlopen for music libraries to avoid missed dependencies on
  downstream packages and 3rdparty applications

* Fri Feb 05 2010 Tomas Kindl <supp@mandriva.org> 1.2.11-1mdv2010.1
+ Revision: 501019
- remove old/obsolete patches
- bump to 1.2.11, rendering most patches obsolete

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 1.2.8-12mdv2010.1
+ Revision: 485994
- rebuild

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 1.2.8-11mdv2010.1
+ Revision: 463086
- rebuild for new dfb

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-10mdv2010.0
+ Revision: 413010
- rebuild

  + Christophe Fergeau <cfergeau@mandriva.com>
    - remove unneeded calls to autoconf/aclocal/libtoolize
    - add missing -lm in linker flags

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-9mdv2009.1
+ Revision: 301474
- rebuilt against new libxcb

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 1.2.8-8mdv2009.0
+ Revision: 271781
- rebuild

* Sun Jul 27 2008 Götz Waschk <waschk@mandriva.org> 1.2.8-7mdv2009.0
+ Revision: 250614
- patch for bug #42160 (double free error)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 1.2.8-6mdv2009.0
+ Revision: 213219
- BR libz

* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 1.2.8-5mdv2008.1
+ Revision: 183454
- remove pulseaudio-devel requirement in devel package
  (SDL is not dynamically linked with pulseaudio anymore)

* Fri Mar 07 2008 Olivier Blin <oblin@mandriva.com> 1.2.8-4mdv2008.1
+ Revision: 181200
- explicitely require pulseaudio-devel in devel package
  (find-requires does not parse .la files, #38653, breaks toppler build)

* Sun Jan 13 2008 Anssi Hannula <anssi@mandriva.org> 1.2.8-3mdv2008.1
+ Revision: 151077
- obsolete old library name
- provide %%name-devel
- versionize obsoletes
- do not provide old -devel name
- fix wrongly changed obsoletes of player subpkg
- fix typo in versioned requires of -devel

* Sun Jan 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.8-2mdv2008.1
+ Revision: 150946
- new license policy
- new devel library policy
- spec file clean
- correct libification

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Funda Wang <fwang@mandriva.org> 1.2.8-1mdv2008.0
+ Revision: 55751
- New version

* Thu May 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.2.7-6mdv2008.0
+ Revision: 33460
- Rebuild with libslang2.

* Mon May 21 2007 Funda Wang <fwang@mandriva.org> 1.2.7-5mdv2008.0
+ Revision: 29147
- Rebuild for new directfb


* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.7-4mdv2007.0
+ Revision: 125375
- Rebuilt against libgii|libggi.

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - ouch, fix libmikmod patch
    - versioned provides for %%{name}-devel
    - link against smpeg, otherwise it won't pull in required dependency
      link against system libmikmod (P2, derived from debian, then fixed)
      fix timidity crash (P3, from SuSE)
      64 bit fixes (P4, from SuSE)
      endian fixes (P5, from SuSE)
    - Import SDL_mixer

* Sun Jun 25 2006 Götz Waschk <waschk@mandriva.org> 1.2.7-1mdv2007.0
- fix installation
- bump deps
- update patch 1
- New release 1.2.7

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-4mdk
- rebuild for sparc

* Sat Jan 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-3mdk
- make rpmbuildupdate aware
- BuildRequires: libmikmod-devel

* Sat Oct 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.6-2mdk
- update, fix and reenable timidity patch (P1) (why was it disabled?)
- make the player require the library on release as there are fixes
  in the library for it to play midi
- %%mkrel
- drop gcc3.3 (P2) and 64 bit (P3) patches as they're no longer used
- drop copyright docs
- cosmetics

* Wed Mar 23 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.6-1mdk
- Release: 1.2.6.

* Sat Nov 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.5-5mdk
- rebuild

* Fri Jul 30 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.5-4mdk
- merged Gwenole 64-bit fixes from 1.2.5-3.1mdk (AMD64).

